EZ_QueueLedAction(3)

NAME
EZ_QueueLedAction, EZ_RemoveLedAction - queue/remove an action for an LED widget

SYNOPSIS
#include <EZ.h>

int  EZ_QueueLedAction(EZ_Widget *led, int type, int delay,
                      int count, char *message, char *color)

void  EZ_RemoveLedAction(EZ_Widget *led, int id)

ARGUMENTS
led Specifies a LED widget.

type Specifies a symbolic LED action name. Must be one of EZ_LED_SCROLL_LEFT, EZ_LED_SCROLL_RIGHT, EZ_LED_SCROLL_UP, EZ_LED_SCROLL_DOWN, EZ_LED_SCROLL_CENTER, EZ_LED_SCROLL_CENTER_V, EZ_LED_SWEEP_LEFT, EZ_LED_SWEEP_RIGHT, EZ_LED_SWEEP_UP, EZ_LED_SWEEP_DOWN, EZ_LED_SWEEP_CENTER, EZ_LED_SWEEP_CENTER_V, EZ_LED_BOUNCE, EZ_LED_BOUNCE_V, EZ_LED_SHOW, EZ_LED_BLINK and EZ_LED_SLEEP.

delay Specifies the time delay (in micro seconds) between two consecutive frames for this action. It is used to control the speed of scrolling.

count Specifies the number of times this action is going to be completed.

message Specifies the message to be displayed. If NULL, the most recent message will be displayed.

color Specifies the color to be used along with the specified action.

id Specifies the identifier of a queued led action.

DESCRIPTION

EZ_QueueLedAction queues an action for an LED widget. The action will be executed at a later time. If multiple actions are queued to an LED widget, they will be executed sequentially (FIFO).

On success, this function returns a unique positive integer that identifies the action. It returns -1 on failure.

EZ_RemoveLedAction removes an queued action for the specified LED widget.

SEE ALSO
EZ_LedIsFree(3), EZ_SetLedBackground(3), EZ_SetLedOffPixelColor(3), EZ_SetLedFont(3), EZ_SetLedWidth(3), EZ_SetLedPixelSize(3), EZ_SetLedString(3), EZ_SetLedColorFunction(3)